package com.template.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.template.model.pojo.SmartUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.template.model.vo.AffiliateParentVo;
import com.template.model.vo.AffiliateUserVo;
import com.template.model.vo.GradeVo;
import com.template.model.vo.UserVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
@Repository
public interface SmartUserMapper extends BaseMapper<SmartUser> {
    List<AffiliateUserVo> queryAffiliateUserById(@Param("id") Integer id);

    IPage<UserVo> querySmartUserPages(IPage<UserVo> page,@Param("departmentIds") List<Integer> departmentIds, @Param("name") String name);

    List<SmartUser> querySmartUsers(@Param("departmentIds") List<Integer> departmentIds, @Param("name") String name);

    IPage<GradeVo> querySmartSecordPage(IPage<GradeVo> page, @Param("name") String name);

    IPage<UserVo> warningUserList(Page<UserVo> page,@Param("departmentIds") List<Integer> departmentIds,@Param("name") String name);

    List<SmartUser> warningPushList();

    List<AffiliateParentVo> queryAffiliateParents(@Param("userId") Integer userId);

}
